Subsections

- Library
- Description
- Dialog Box
- Default properties
- Interfacing function
- Computational function (type 1)

##
Constant

### Library

Sources

### Description

This block is a constant value(s) generator.

### Dialog Box

Set Contant Block |
Constant | 1

- Constant: a real vector. The vector size gives the size of the output port. The value constants(i) is assigned to the ith component of the output.

### Default properties

- always active: no
- direct-feedthrough: no
- zero-crossing: no
- mode: no
- number/sizes of inputs: 0 /
- number/sizes of outputs: 1 / 1
- number/sizes of activation inputs: 0 /
- number/sizes of activation outputs: 0 /
- continuous-time state: no
- discrete-time state: no
- name of computational function: cstblk

### Interfacing function

`scilab/macros/scicos_blocks/sources/CONST_f.sci`

### Computational function (type 1)

          subroutine cstblk(flag,nevprt,t,xd,x,nx,z,nz,tvec,ntvec,
         &     rpar,nrpar,ipar,nipar,y,ny)
    c     Copyright INRIA

    c     Scicos block simulator
    c     output a vector of constants out(i)=rpar(i)
    c     rpar(1:nrpar) : given constants
    c
          double precision t,xd(*),x(*),z(*),tvec(*),rpar(*),y(*)
          integer flag,nevprt,nx,nz,ntvec,nrpar,ipar(*)
          integer nipar,ny

    c
    c
          call dcopy(nrpar,rpar,1,y,1)
          return
          end